function Enum(tbl)
	for i = 1, #tbl do
		local v = tbl[i]
		tbl[v] = i
	end
	return tbl
end

COLOR = Enum {
	"Black",
	"Red",
	"Green",
	"Yellow",
	"Blue",
	"Purple",
	"Cyan",
	"LightGray",
	"Gray",
	"HighRed",
	"HighGreen",
	"HighYellow",
	"HighBlue",
	"HighPurple",
	"HighCyan",
	"White"
}

EFFECT = Enum {
	"Normal",
	"Bold",
	"Dim",
	"Italic",
	"Underline",
	"BlinkSlow",
	"BlinkFast",
	"Invert",
	"Conceal",
	"CrossedOut"
}

function makeTextEffect(Effect, Text)
	return "\027["..tostring(Effect-1).."m"..Text.."\027[0;m"
end

function colorText(Color, Text)
	return "\027[38;5;"..tostring(Color-1).."m"..Text.."\027[0;m"
end

function colorTextBackground(Color, Text)
	return "\027[48;5;"..tostring(Color-1).."m"..Text.."\027[0;m"
end

function scrollTerminalUp(amount)
	return "\027["..amount.."T"
end
